OSSIM-CREATE-HISTO(1)

NAME
ossim-create-histo - ossim-create-histo

SYNOPSIS
ossim-create-histo <args>

DESCRIPTION
Description: ossim-create-histo creates a histogram from image.

OPTIONS

--bins
    Number of bins to use

--create-histogram-fast
    Computes a histogram in fast mode which samples partial tiles.

--disable-elev
    Will disable the elevation

--disable-notify
    Takes an argument. Arguments are ALL, WARN, NOTICE, INFO, FATAL, DEBUG. If you want multiple disables then just do multiple --disable-notify on the command line. All argument are case insensitive. Default is all are enabled.

--disable-plugin
    Will disable the plugin loader

--entry
    entry number to use

--max
    Maximum value to use

--min
    Minimum value to use

--ossim-logfile
    takes a logfile as an argument. All output messages are redirected to the specified log file. By default there is no log file and all messages are enabled.

-K  specify individual keywords to add to the preferences keyword list: name=value

-P  specify a preference file to load

-T  specify the classes to trace, ex: ossimInit|ossimImage.* will trace ossimInit and all ossimImage classes

-f  fast mode

-h or --help
    Display this information

-i  <image_file> Creates a histogram from the image_file.

-l  <res_level> Output the specified number of res levels default is, set to 0 if you want all(not supported for import histogram -i option

-o  <output_file> Output the histogram to the indicated file.

-p  <histogram_file> Imports imagelinks proprietary histogram_file.

  examples:

    create_histo foo.tif

    Will create a histogram for the input image and call it foo.his

    create_histo -i foo.tif -o foo.his

    this will compute a histogram from the input foo.tif and write it to foo.his

    create_histo -p foo2.his -o foo.his

    will import the proprietary histogram file and output an ossim histogram file to foo.his

NOTE: If no output is given it will default to output.his

    unless the special case of a single input image is given

SEE ALSO
The full documentation for ossim-create-histo is maintained as a Texinfo manual. If the info and ossim-create-histo programs are properly installed at your site, the command

    info ossim-create-histo

should give you access to the complete manual.